Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.decorators
Class ConstantDirectionalEdgeValue

    java.lang.Object
      edu.uci.ics.jung.graph.decorators.ConstantDirectionalEdgeValue

All Implemented Interfaces:
  NumberEdgeValue

public class ConstantDirectionalEdgeValue
extends Object
implements NumberEdgeValue

Returns the constructor-specified value for each edge type.

Author:
  Joshua O'Madadhain

Field Summary
`protected Double` | `directed_closeness`
`protected Double` | `undirected_closeness`

Constructor Summary
`ConstantDirectionalEdgeValue(double undirected, double directed)`

Method Summary
`Number` | `getNumber(ArchetypeEdge e)`
`void` | `setNumber(ArchetypeEdge e, Number n)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### undirected_closeness

    protected Double undirected_closeness

### directed_closeness

    protected Double directed_closeness

Constructor Detail

### ConstantDirectionalEdgeValue

    public ConstantDirectionalEdgeValue(double undirected,
                                        double directed)

Parameters:
  `undirected` -
  `directed` -

Method Detail

### getNumber

    public Number getNumber(ArchetypeEdge e)

  Specified by:
    `getNumber` in interface `NumberEdgeValue`
  Parameters:
    `e` - the edge to examine
  Returns:
    the Number associated with this edge
  See Also:
    `NumberEdgeValue.getNumber(ArchetypeEdge)`

### setNumber

    public void setNumber(ArchetypeEdge e,
                          Number n)

  Specified by:
    `setNumber` in interface `NumberEdgeValue`
  Parameters:
    `e` - the edge whose value we're setting
    `n` - the Number to which we're setting the edge
  See Also:
    `NumberEdgeValue.setNumber(edu.uci.ics.jung.graph.ArchetypeEdge, java.lang.Number)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD